Skip to main content
GET
List models

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

baseModelId
string

Filter models by base model ID.

connectionId
string

Filter models by connection ID.

includeDeleted
boolean

If true, include deleted models.

modelId
string

Filter models by a specific model ID.

modelKind
enum<string>

Filter by model kind.

Available options:
SCHEMA,
SHARED,
SHARED_EXTENSION,
WORKBOOK,
BRANCH,
QUERY,
TOPIC,
FIELD_PICKER_TOPIC
name
string

Filter models by name.

pageSize
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
Example:

20

explorable
boolean

When true, returns only shared models (modelKind: SHARED) and shared extension models (modelKind: SHARED_EXTENSION) that can be used as a workbook base (allowAsWorkbookBase: true).

sortDirection
enum<string>

Direction for sorting results:

  • asc - Ascending order (A-Z, 0-9)
  • desc - Descending order (Z-A, 9-0)
Available options:
asc,
desc
sortField
enum<string>
default:updatedAt

Field to sort by.

Available options:
name,
modelKind,
connectionId,
baseModelId,
createdAt,
updatedAt
include
enum<string>

Comma-separated list of additional fields to include in the response.

  • activeBranches - Include active branches for each model
Available options:
activeBranches
userId
string<uuid>

Organization API key required. The membership ID of the user to act as.

Response

Paginated model list

pageInfo
object

Pagination information for paginated responses.

records
object[]

List of model records.